System.ServiceModel 4.0.0.0 System.ServiceModel.Security.Tokens.SecurityTokenParameters

This class is a collection of token properties and methods, and is used in creating security binding elements and tokens.

Secure conversations involve the exchange of multiple messages, and use a security context to ensure security. A security context is shared among the communicating parties for the lifetime of a communications session.

Represents the parameters for a secure conversation security token.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  specifies the security binding element to use when securing the messages exchanged as part of the secure conversation token issuance.

  Initializes a new instance of the class from the properties of a specified .

- Constructor
  4.0.0.0
  To be added.

  This constructor clones a new instance from an existing one.

  Initializes a new instance of the class from another instance of this class.

- Constructor
  4.0.0.0
  To be added.

  specifies the security binding element to use when securing the messages exchanged as part of the secure conversation token issuance. If is true, a session-based security context token is issued; otherwise, a cookie-based security context token is issued.

  Initializes a new instance of the class from the properties of a specified .

  true to require cancellation; otherwise, false.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  specifies the security binding element to use when securing the messages exchanged as part of the secure conversation token issuance. If is true, a session-based security context token is issued; otherwise, a cookie-based security context token is issued.

  indicates the protection requirements of the messages exchanged as part of the secure conversation token issuance.

  Initializes a new instance of the class from the properties of a specified with specified .

  true to require cancellation; otherwise, false.
- Property
  4.0.0.0
  System.ServiceModel.Security.ChannelProtectionRequirements To be added. To be added.

  Gets the bootstrap protection requirements.

- Property
  4.0.0.0
  System.ServiceModel.Channels.SecurityBindingElement To be added. To be added.

  Gets or sets the bootstrap security binding element.

- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenParameters

  The and methods follow the Core design pattern.

  is an abstract class which is overridden by .

  The method calls the constructor.

  Clones another instance of this instance of the class.

  A instance that represents the copy.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` ``

  This method creates a key identifier clause using the method, with as a generic parameter.

  Creates a key identifier clause for a token.

  The key identifier clause for a token.

  The token. The reference style of the security token.
- Property
  4.0.0.0
  System.Boolean To be added.

  Asymmetric keys are used in public-key cryptography, which uses two keys, a public key and a private key, which are related mathematically. The public key is distributed widely, but the private key is kept secret. In public-key cryptography, there is no need to exchange a common key.

  Gets a value that indicates whether the security token has an asymmetric key.

- Method
  4.0.0.0
  System.Void ``

  The following properties of the are initialized:

  = .

  = true.

  The property in is set to .

  The property in is set to .

  The property in is set to a clone of the current instance.

  = .

  Initializes a security token requirement.

  The requirement of the security token.
- Property
  4.0.0.0
  System.Boolean To be added.

  When Windows authentication is used in combination with a security context token, indigo2 does not populate the property with the actual caller's identity, but instead sets the property to anonymous. Because indigo2 security must re-create the content of the service security context for every request from the incoming security context token, the server does not keep track of the security session in the memory. Because it is impossible to serialize the instance into the security context token, the property returns an anonymous identity.

  The following configuration exhibits this behavior.

  `<customBinding> <binding name="Cancellation"> <textMessageEncoding /> <security requireSecurityContextCancellation="false"> <secureConversationBootstrap requireSecurityContextCancellation="true" /> </security> <httpTransport /> </binding> </customBinding>`

  For more information about security context tokens, see How To: Create a Security Context Token for a Secure Session.

  Gets or sets a value that indicates whether cancellation is required.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the token supports client authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the token supports a Windows identity for authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the token supports server authentication.

- Method
  4.0.0.0
  System.String

  This method displays the following data: the result of performing this method on the base class, , and, if non-null, .

  Displays a text representation of this instance of the class.

  A text representation of this instance of the class.